petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatGetGhosts

Get the global index of all ghost nodes defined by the sparse matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetGhosts(Mat mat,PetscInt *nghosts,const PetscInt *ghosts[])

Collective on Mat

### Input Parameter

mat -the matrix

### Output Parameters

| nghosts | - number of ghosts (note for BAIJ matrices there is one ghost for each block)
| ghosts | - the global indices of the ghost points

### Notes

the nghosts and ghosts are suitable to pass into VecCreateGhost()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatGetGhosts_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatGetGhosts_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
MatGetGhosts_MPISELL in src/mat/impls/sell/mpi/mpisell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages